<?php if ($this->qmsoft->is_mobile() == 1) { //手机端?>
<?php echo $this->lib_page->showpage_m() ?>
<script language='javascript'>function getValue(obj){if ($("#geturl").val()!=""){
    var originalHref = $('.pagination .shouye a').attr('href');
    var newHref = originalHref.replace(/page=\d+/, 'page=' + $("#geturl").val());
    location.href=newHref}}</script>
<?php } else {
$this->load->library('session');
$user_pagenum = $this->session->userdata('pagenum');
if(empty($user_pagenum)){ $user_pagenum = 10; }
?>
<div class="pagepostion">
  <select id="pagenum" name="pagenum" style="float:left; margin-right:2px; height:34px;line-height:34px; min-width:90px !important;">
    <option value="10" <?php echo $user_pagenum==10?'selected':''?>>10条/页</option>
    <option value="20" <?php echo $user_pagenum==20?'selected':''?>>20条/页</option>
    <option value="50" <?php echo $user_pagenum==50?'selected':''?>>50条/页</option>
    <option value="100" <?php echo $user_pagenum==100?'selected':''?>>100条/页</option>
    <option value="200" <?php echo $user_pagenum==200?'selected':''?>>200条/页</option>
    <option value="500" <?php echo $user_pagenum==500?'selected':''?>>500条/页</option>
  </select>
  <ul class="pagination">
    <?php echo $this->lib_page->showpage() ?> 
    <script language='javascript'>function getValue(obj){if ($("#geturl").val()!=""){
    var originalHref = $('.pagination .shouye a').attr('href');
    var newHref = originalHref.replace(/page=\d+/, 'page=' + $("#geturl").val());
    location.href=newHref}}</script>
    <input class="pagenum" id="geturl" value="<?php echo $this->lib_page->nowPage ?>">
    <li class="last"><a href='javascript:void(0);' onclick="getValue(geturl.value)">跳转</a></li>
  </ul>
</div>
<script>
$("#pagenum").change(function(){
	var pagenum = $(this).val();
	$.ajax({
	type:'post',
	url:'/index.php/setting/ajax_pagenum',
	data:{pagenum:pagenum},
	dataType:'json',
	success:function(data){
		location.reload();
	}
	});
});
</script>
<?php }?>
